package exchange

type AssetQuote struct {
	Quote string
	Asset string
}

var symbolAssetQuoteMap = map[string]AssetQuote{
	"ETHBTC":        {"BTC", "ETH"},
	"LTCBTC":        {"BTC", "LTC"},
	"BNBBTC":        {"BTC", "BNB"},
	"NEOBTC":        {"BTC", "NEO"},
	"QTUMETH":       {"ETH", "QTUM"},
	"EOSETH":        {"ETH", "EOS"},
	"SNTETH":        {"ETH", "SNT"},
	"BNTETH":        {"ETH", "BNT"},
	"BCCBTC":        {"BTC", "BCC"},
	"GASBTC":        {"BTC", "GAS"},
	"BNBETH":        {"ETH", "BNB"},
	"BTCUSDT":       {"USDT", "BTC"},
	"ETHUSDT":       {"USDT", "ETH"},
	"HSRBTC":        {"BTC", "HSR"},
	"OAXETH":        {"ETH", "OAX"},
	"DNTETH":        {"ETH", "DNT"},
	"MCOETH":        {"ETH", "MCO"},
	"ICNETH":        {"ETH", "ICN"},
	"MCOBTC":        {"BTC", "MCO"},
	"WTCBTC":        {"BTC", "WTC"},
	"WTCETH":        {"ETH", "WTC"},
	"LRCBTC":        {"BTC", "LRC"},
	"LRCETH":        {"ETH", "LRC"},
	"QTUMBTC":       {"BTC", "QTUM"},
	"YOYOBTC":       {"BTC", "YOYO"},
	"OMGBTC":        {"BTC", "OMG"},
	"OMGETH":        {"ETH", "OMG"},
	"ZRXBTC":        {"BTC", "ZRX"},
	"ZRXETH":        {"ETH", "ZRX"},
	"STRATBTC":      {"BTC", "STRAT"},
	"STRATETH":      {"ETH", "STRAT"},
	"SNGLSBTC":      {"BTC", "SNGLS"},
	"SNGLSETH":      {"ETH", "SNGLS"},
	"BQXBTC":        {"BTC", "BQX"},
	"BQXETH":        {"ETH", "BQX"},
	"KNCBTC":        {"BTC", "KNC"},
	"KNCETH":        {"ETH", "KNC"},
	"FUNBTC":        {"BTC", "FUN"},
	"FUNETH":        {"ETH", "FUN"},
	"SNMBTC":        {"BTC", "SNM"},
	"SNMETH":        {"ETH", "SNM"},
	"NEOETH":        {"ETH", "NEO"},
	"IOTABTC":       {"BTC", "IOTA"},
	"IOTAETH":       {"ETH", "IOTA"},
	"LINKBTC":       {"BTC", "LINK"},
	"LINKETH":       {"ETH", "LINK"},
	"XVGBTC":        {"BTC", "XVG"},
	"XVGETH":        {"ETH", "XVG"},
	"SALTBTC":       {"BTC", "SALT"},
	"SALTETH":       {"ETH", "SALT"},
	"MDABTC":        {"BTC", "MDA"},
	"MDAETH":        {"ETH", "MDA"},
	"MTLBTC":        {"BTC", "MTL"},
	"MTLETH":        {"ETH", "MTL"},
	"SUBBTC":        {"BTC", "SUB"},
	"SUBETH":        {"ETH", "SUB"},
	"EOSBTC":        {"BTC", "EOS"},
	"SNTBTC":        {"BTC", "SNT"},
	"ETCETH":        {"ETH", "ETC"},
	"ETCBTC":        {"BTC", "ETC"},
	"MTHBTC":        {"BTC", "MTH"},
	"MTHETH":        {"ETH", "MTH"},
	"ENGBTC":        {"BTC", "ENG"},
	"ENGETH":        {"ETH", "ENG"},
	"DNTBTC":        {"BTC", "DNT"},
	"ZECBTC":        {"BTC", "ZEC"},
	"ZECETH":        {"ETH", "ZEC"},
	"BNTBTC":        {"BTC", "BNT"},
	"ASTBTC":        {"BTC", "AST"},
	"ASTETH":        {"ETH", "AST"},
	"DASHBTC":       {"BTC", "DASH"},
	"DASHETH":       {"ETH", "DASH"},
	"OAXBTC":        {"BTC", "OAX"},
	"ICNBTC":        {"BTC", "ICN"},
	"BTGBTC":        {"BTC", "BTG"},
	"BTGETH":        {"ETH", "BTG"},
	"EVXBTC":        {"BTC", "EVX"},
	"EVXETH":        {"ETH", "EVX"},
	"REQBTC":        {"BTC", "REQ"},
	"REQETH":        {"ETH", "REQ"},
	"VIBBTC":        {"BTC", "VIB"},
	"VIBETH":        {"ETH", "VIB"},
	"HSRETH":        {"ETH", "HSR"},
	"TRXBTC":        {"BTC", "TRX"},
	"TRXETH":        {"ETH", "TRX"},
	"POWRBTC":       {"BTC", "POWR"},
	"POWRETH":       {"ETH", "POWR"},
	"ARKBTC":        {"BTC", "ARK"},
	"ARKETH":        {"ETH", "ARK"},
	"YOYOETH":       {"ETH", "YOYO"},
	"XRPBTC":        {"BTC", "XRP"},
	"XRPETH":        {"ETH", "XRP"},
	"MODBTC":        {"BTC", "MOD"},
	"MODETH":        {"ETH", "MOD"},
	"ENJBTC":        {"BTC", "ENJ"},
	"ENJETH":        {"ETH", "ENJ"},
	"STORJBTC":      {"BTC", "STORJ"},
	"STORJETH":      {"ETH", "STORJ"},
	"BNBUSDT":       {"USDT", "BNB"},
	"VENBNB":        {"BNB", "VEN"},
	"YOYOBNB":       {"BNB", "YOYO"},
	"POWRBNB":       {"BNB", "POWR"},
	"VENBTC":        {"BTC", "VEN"},
	"VENETH":        {"ETH", "VEN"},
	"KMDBTC":        {"BTC", "KMD"},
	"KMDETH":        {"ETH", "KMD"},
	"NULSBNB":       {"BNB", "NULS"},
	"RCNBTC":        {"BTC", "RCN"},
	"RCNETH":        {"ETH", "RCN"},
	"RCNBNB":        {"BNB", "RCN"},
	"NULSBTC":       {"BTC", "NULS"},
	"NULSETH":       {"ETH", "NULS"},
	"RDNBTC":        {"BTC", "RDN"},
	"RDNETH":        {"ETH", "RDN"},
	"RDNBNB":        {"BNB", "RDN"},
	"XMRBTC":        {"BTC", "XMR"},
	"XMRETH":        {"ETH", "XMR"},
	"DLTBNB":        {"BNB", "DLT"},
	"WTCBNB":        {"BNB", "WTC"},
	"DLTBTC":        {"BTC", "DLT"},
	"DLTETH":        {"ETH", "DLT"},
	"AMBBTC":        {"BTC", "AMB"},
	"AMBETH":        {"ETH", "AMB"},
	"AMBBNB":        {"BNB", "AMB"},
	"BCCETH":        {"ETH", "BCC"},
	"BCCUSDT":       {"USDT", "BCC"},
	"BCCBNB":        {"BNB", "BCC"},
	"BATBTC":        {"BTC", "BAT"},
	"BATETH":        {"ETH", "BAT"},
	"BATBNB":        {"BNB", "BAT"},
	"BCPTBTC":       {"BTC", "BCPT"},
	"BCPTETH":       {"ETH", "BCPT"},
	"BCPTBNB":       {"BNB", "BCPT"},
	"ARNBTC":        {"BTC", "ARN"},
	"ARNETH":        {"ETH", "ARN"},
	"GVTBTC":        {"BTC", "GVT"},
	"GVTETH":        {"ETH", "GVT"},
	"CDTBTC":        {"BTC", "CDT"},
	"CDTETH":        {"ETH", "CDT"},
	"GXSBTC":        {"BTC", "GXS"},
	"GXSETH":        {"ETH", "GXS"},
	"NEOUSDT":       {"USDT", "NEO"},
	"NEOBNB":        {"BNB", "NEO"},
	"POEBTC":        {"BTC", "POE"},
	"POEETH":        {"ETH", "POE"},
	"QSPBTC":        {"BTC", "QSP"},
	"QSPETH":        {"ETH", "QSP"},
	"QSPBNB":        {"BNB", "QSP"},
	"BTSBTC":        {"BTC", "BTS"},
	"BTSETH":        {"ETH", "BTS"},
	"BTSBNB":        {"BNB", "BTS"},
	"XZCBTC":        {"BTC", "XZC"},
	"XZCETH":        {"ETH", "XZC"},
	"XZCBNB":        {"BNB", "XZC"},
	"LSKBTC":        {"BTC", "LSK"},
	"LSKETH":        {"ETH", "LSK"},
	"LSKBNB":        {"BNB", "LSK"},
	"TNTBTC":        {"BTC", "TNT"},
	"TNTETH":        {"ETH", "TNT"},
	"FUELBTC":       {"BTC", "FUEL"},
	"FUELETH":       {"ETH", "FUEL"},
	"MANABTC":       {"BTC", "MANA"},
	"MANAETH":       {"ETH", "MANA"},
	"BCDBTC":        {"BTC", "BCD"},
	"BCDETH":        {"ETH", "BCD"},
	"DGDBTC":        {"BTC", "DGD"},
	"DGDETH":        {"ETH", "DGD"},
	"IOTABNB":       {"BNB", "IOTA"},
	"ADXBTC":        {"BTC", "ADX"},
	"ADXETH":        {"ETH", "ADX"},
	"ADXBNB":        {"BNB", "ADX"},
	"ADABTC":        {"BTC", "ADA"},
	"ADAETH":        {"ETH", "ADA"},
	"PPTBTC":        {"BTC", "PPT"},
	"PPTETH":        {"ETH", "PPT"},
	"CMTBTC":        {"BTC", "CMT"},
	"CMTETH":        {"ETH", "CMT"},
	"CMTBNB":        {"BNB", "CMT"},
	"XLMBTC":        {"BTC", "XLM"},
	"XLMETH":        {"ETH", "XLM"},
	"XLMBNB":        {"BNB", "XLM"},
	"CNDBTC":        {"BTC", "CND"},
	"CNDETH":        {"ETH", "CND"},
	"CNDBNB":        {"BNB", "CND"},
	"LENDBTC":       {"BTC", "LEND"},
	"LENDETH":       {"ETH", "LEND"},
	"WABIBTC":       {"BTC", "WABI"},
	"WABIETH":       {"ETH", "WABI"},
	"WABIBNB":       {"BNB", "WABI"},
	"LTCETH":        {"ETH", "LTC"},
	"LTCUSDT":       {"USDT", "LTC"},
	"LTCBNB":        {"BNB", "LTC"},
	"TNBBTC":        {"BTC", "TNB"},
	"TNBETH":        {"ETH", "TNB"},
	"WAVESBTC":      {"BTC", "WAVES"},
	"WAVESETH":      {"ETH", "WAVES"},
	"WAVESBNB":      {"BNB", "WAVES"},
	"GTOBTC":        {"BTC", "GTO"},
	"GTOETH":        {"ETH", "GTO"},
	"GTOBNB":        {"BNB", "GTO"},
	"ICXBTC":        {"BTC", "ICX"},
	"ICXETH":        {"ETH", "ICX"},
	"ICXBNB":        {"BNB", "ICX"},
	"OSTBTC":        {"BTC", "OST"},
	"OSTETH":        {"ETH", "OST"},
	"OSTBNB":        {"BNB", "OST"},
	"ELFBTC":        {"BTC", "ELF"},
	"ELFETH":        {"ETH", "ELF"},
	"AIONBTC":       {"BTC", "AION"},
	"AIONETH":       {"ETH", "AION"},
	"AIONBNB":       {"BNB", "AION"},
	"NEBLBTC":       {"BTC", "NEBL"},
	"NEBLETH":       {"ETH", "NEBL"},
	"NEBLBNB":       {"BNB", "NEBL"},
	"BRDBTC":        {"BTC", "BRD"},
	"BRDETH":        {"ETH", "BRD"},
	"BRDBNB":        {"BNB", "BRD"},
	"MCOBNB":        {"BNB", "MCO"},
	"EDOBTC":        {"BTC", "EDO"},
	"EDOETH":        {"ETH", "EDO"},
	"WINGSBTC":      {"BTC", "WINGS"},
	"WINGSETH":      {"ETH", "WINGS"},
	"NAVBTC":        {"BTC", "NAV"},
	"NAVETH":        {"ETH", "NAV"},
	"NAVBNB":        {"BNB", "NAV"},
	"LUNBTC":        {"BTC", "LUN"},
	"LUNETH":        {"ETH", "LUN"},
	"TRIGBTC":       {"BTC", "TRIG"},
	"TRIGETH":       {"ETH", "TRIG"},
	"TRIGBNB":       {"BNB", "TRIG"},
	"APPCBTC":       {"BTC", "APPC"},
	"APPCETH":       {"ETH", "APPC"},
	"APPCBNB":       {"BNB", "APPC"},
	"VIBEBTC":       {"BTC", "VIBE"},
	"VIBEETH":       {"ETH", "VIBE"},
	"RLCBTC":        {"BTC", "RLC"},
	"RLCETH":        {"ETH", "RLC"},
	"RLCBNB":        {"BNB", "RLC"},
	"INSBTC":        {"BTC", "INS"},
	"INSETH":        {"ETH", "INS"},
	"PIVXBTC":       {"BTC", "PIVX"},
	"PIVXETH":       {"ETH", "PIVX"},
	"PIVXBNB":       {"BNB", "PIVX"},
	"IOSTBTC":       {"BTC", "IOST"},
	"IOSTETH":       {"ETH", "IOST"},
	"CHATBTC":       {"BTC", "CHAT"},
	"CHATETH":       {"ETH", "CHAT"},
	"STEEMBTC":      {"BTC", "STEEM"},
	"STEEMETH":      {"ETH", "STEEM"},
	"STEEMBNB":      {"BNB", "STEEM"},
	"NANOBTC":       {"BTC", "NANO"},
	"NANOETH":       {"ETH", "NANO"},
	"NANOBNB":       {"BNB", "NANO"},
	"VIABTC":        {"BTC", "VIA"},
	"VIAETH":        {"ETH", "VIA"},
	"VIABNB":        {"BNB", "VIA"},
	"BLZBTC":        {"BTC", "BLZ"},
	"BLZETH":        {"ETH", "BLZ"},
	"BLZBNB":        {"BNB", "BLZ"},
	"AEBTC":         {"BTC", "AE"},
	"AEETH":         {"ETH", "AE"},
	"AEBNB":         {"BNB", "AE"},
	"RPXBTC":        {"BTC", "RPX"},
	"RPXETH":        {"ETH", "RPX"},
	"RPXBNB":        {"BNB", "RPX"},
	"NCASHBTC":      {"BTC", "NCASH"},
	"NCASHETH":      {"ETH", "NCASH"},
	"NCASHBNB":      {"BNB", "NCASH"},
	"POABTC":        {"BTC", "POA"},
	"POAETH":        {"ETH", "POA"},
	"POABNB":        {"BNB", "POA"},
	"ZILBTC":        {"BTC", "ZIL"},
	"ZILETH":        {"ETH", "ZIL"},
	"ZILBNB":        {"BNB", "ZIL"},
	"ONTBTC":        {"BTC", "ONT"},
	"ONTETH":        {"ETH", "ONT"},
	"ONTBNB":        {"BNB", "ONT"},
	"STORMBTC":      {"BTC", "STORM"},
	"STORMETH":      {"ETH", "STORM"},
	"STORMBNB":      {"BNB", "STORM"},
	"QTUMBNB":       {"BNB", "QTUM"},
	"QTUMUSDT":      {"USDT", "QTUM"},
	"XEMBTC":        {"BTC", "XEM"},
	"XEMETH":        {"ETH", "XEM"},
	"XEMBNB":        {"BNB", "XEM"},
	"WANBTC":        {"BTC", "WAN"},
	"WANETH":        {"ETH", "WAN"},
	"WANBNB":        {"BNB", "WAN"},
	"WPRBTC":        {"BTC", "WPR"},
	"WPRETH":        {"ETH", "WPR"},
	"QLCBTC":        {"BTC", "QLC"},
	"QLCETH":        {"ETH", "QLC"},
	"SYSBTC":        {"BTC", "SYS"},
	"SYSETH":        {"ETH", "SYS"},
	"SYSBNB":        {"BNB", "SYS"},
	"QLCBNB":        {"BNB", "QLC"},
	"GRSBTC":        {"BTC", "GRS"},
	"GRSETH":        {"ETH", "GRS"},
	"ADAUSDT":       {"USDT", "ADA"},
	"ADABNB":        {"BNB", "ADA"},
	"CLOAKBTC":      {"BTC", "CLOAK"},
	"CLOAKETH":      {"ETH", "CLOAK"},
	"GNTBTC":        {"BTC", "GNT"},
	"GNTETH":        {"ETH", "GNT"},
	"GNTBNB":        {"BNB", "GNT"},
	"LOOMBTC":       {"BTC", "LOOM"},
	"LOOMETH":       {"ETH", "LOOM"},
	"LOOMBNB":       {"BNB", "LOOM"},
	"XRPUSDT":       {"USDT", "XRP"},
	"BCNBTC":        {"BTC", "BCN"},
	"BCNETH":        {"ETH", "BCN"},
	"BCNBNB":        {"BNB", "BCN"},
	"REPBTC":        {"BTC", "REP"},
	"REPETH":        {"ETH", "REP"},
	"REPBNB":        {"BNB", "REP"},
	"BTCTUSD":       {"TUSD", "BTC"},
	"TUSDBTC":       {"BTC", "TUSD"},
	"ETHTUSD":       {"TUSD", "ETH"},
	"TUSDETH":       {"ETH", "TUSD"},
	"TUSDBNB":       {"BNB", "TUSD"},
	"ZENBTC":        {"BTC", "ZEN"},
	"ZENETH":        {"ETH", "ZEN"},
	"ZENBNB":        {"BNB", "ZEN"},
	"SKYBTC":        {"BTC", "SKY"},
	"SKYETH":        {"ETH", "SKY"},
	"SKYBNB":        {"BNB", "SKY"},
	"EOSUSDT":       {"USDT", "EOS"},
	"EOSBNB":        {"BNB", "EOS"},
	"CVCBTC":        {"BTC", "CVC"},
	"CVCETH":        {"ETH", "CVC"},
	"CVCBNB":        {"BNB", "CVC"},
	"THETABTC":      {"BTC", "THETA"},
	"THETAETH":      {"ETH", "THETA"},
	"THETABNB":      {"BNB", "THETA"},
	"XRPBNB":        {"BNB", "XRP"},
	"TUSDUSDT":      {"USDT", "TUSD"},
	"IOTAUSDT":      {"USDT", "IOTA"},
	"XLMUSDT":       {"USDT", "XLM"},
	"IOTXBTC":       {"BTC", "IOTX"},
	"IOTXETH":       {"ETH", "IOTX"},
	"QKCBTC":        {"BTC", "QKC"},
	"QKCETH":        {"ETH", "QKC"},
	"AGIBTC":        {"BTC", "AGI"},
	"AGIETH":        {"ETH", "AGI"},
	"AGIBNB":        {"BNB", "AGI"},
	"NXSBTC":        {"BTC", "NXS"},
	"NXSETH":        {"ETH", "NXS"},
	"NXSBNB":        {"BNB", "NXS"},
	"ENJBNB":        {"BNB", "ENJ"},
	"DATABTC":       {"BTC", "DATA"},
	"DATAETH":       {"ETH", "DATA"},
	"ONTUSDT":       {"USDT", "ONT"},
	"TRXBNB":        {"BNB", "TRX"},
	"TRXUSDT":       {"USDT", "TRX"},
	"ETCUSDT":       {"USDT", "ETC"},
	"ETCBNB":        {"BNB", "ETC"},
	"ICXUSDT":       {"USDT", "ICX"},
	"SCBTC":         {"BTC", "SC"},
	"SCETH":         {"ETH", "SC"},
	"SCBNB":         {"BNB", "SC"},
	"NPXSBTC":       {"BTC", "NPXS"},
	"NPXSETH":       {"ETH", "NPXS"},
	"VENUSDT":       {"USDT", "VEN"},
	"KEYBTC":        {"BTC", "KEY"},
	"KEYETH":        {"ETH", "KEY"},
	"NASBTC":        {"BTC", "NAS"},
	"NASETH":        {"ETH", "NAS"},
	"NASBNB":        {"BNB", "NAS"},
	"MFTBTC":        {"BTC", "MFT"},
	"MFTETH":        {"ETH", "MFT"},
	"MFTBNB":        {"BNB", "MFT"},
	"DENTBTC":       {"BTC", "DENT"},
	"DENTETH":       {"ETH", "DENT"},
	"ARDRBTC":       {"BTC", "ARDR"},
	"ARDRETH":       {"ETH", "ARDR"},
	"ARDRBNB":       {"BNB", "ARDR"},
	"NULSUSDT":      {"USDT", "NULS"},
	"HOTBTC":        {"BTC", "HOT"},
	"HOTETH":        {"ETH", "HOT"},
	"VETBTC":        {"BTC", "VET"},
	"VETETH":        {"ETH", "VET"},
	"VETUSDT":       {"USDT", "VET"},
	"VETBNB":        {"BNB", "VET"},
	"DOCKBTC":       {"BTC", "DOCK"},
	"DOCKETH":       {"ETH", "DOCK"},
	"POLYBTC":       {"BTC", "POLY"},
	"POLYBNB":       {"BNB", "POLY"},
	"PHXBTC":        {"BTC", "PHX"},
	"PHXETH":        {"ETH", "PHX"},
	"PHXBNB":        {"BNB", "PHX"},
	"HCBTC":         {"BTC", "HC"},
	"HCETH":         {"ETH", "HC"},
	"GOBTC":         {"BTC", "GO"},
	"GOBNB":         {"BNB", "GO"},
	"PAXBTC":        {"BTC", "PAX"},
	"PAXBNB":        {"BNB", "PAX"},
	"PAXUSDT":       {"USDT", "PAX"},
	"PAXETH":        {"ETH", "PAX"},
	"RVNBTC":        {"BTC", "RVN"},
	"RVNBNB":        {"BNB", "RVN"},
	"DCRBTC":        {"BTC", "DCR"},
	"DCRBNB":        {"BNB", "DCR"},
	"USDCBNB":       {"BNB", "USDC"},
	"MITHBTC":       {"BTC", "MITH"},
	"MITHBNB":       {"BNB", "MITH"},
	"BCHABCBTC":     {"BTC", "BCHABC"},
	"BCHSVBTC":      {"BTC", "BCHSV"},
	"BCHABCUSDT":    {"USDT", "BCHABC"},
	"BCHSVUSDT":     {"USDT", "BCHSV"},
	"BNBPAX":        {"PAX", "BNB"},
	"BTCPAX":        {"PAX", "BTC"},
	"ETHPAX":        {"PAX", "ETH"},
	"XRPPAX":        {"PAX", "XRP"},
	"EOSPAX":        {"PAX", "EOS"},
	"XLMPAX":        {"PAX", "XLM"},
	"RENBTC":        {"BTC", "REN"},
	"RENBNB":        {"BNB", "REN"},
	"BNBTUSD":       {"TUSD", "BNB"},
	"XRPTUSD":       {"TUSD", "XRP"},
	"EOSTUSD":       {"TUSD", "EOS"},
	"XLMTUSD":       {"TUSD", "XLM"},
	"BNBUSDC":       {"USDC", "BNB"},
	"BTCUSDC":       {"USDC", "BTC"},
	"ETHUSDC":       {"USDC", "ETH"},
	"XRPUSDC":       {"USDC", "XRP"},
	"EOSUSDC":       {"USDC", "EOS"},
	"XLMUSDC":       {"USDC", "XLM"},
	"USDCUSDT":      {"USDT", "USDC"},
	"ADATUSD":       {"TUSD", "ADA"},
	"TRXTUSD":       {"TUSD", "TRX"},
	"NEOTUSD":       {"TUSD", "NEO"},
	"TRXXRP":        {"XRP", "TRX"},
	"XZCXRP":        {"XRP", "XZC"},
	"PAXTUSD":       {"TUSD", "PAX"},
	"USDCTUSD":      {"TUSD", "USDC"},
	"USDCPAX":       {"PAX", "USDC"},
	"LINKUSDT":      {"USDT", "LINK"},
	"LINKTUSD":      {"TUSD", "LINK"},
	"LINKPAX":       {"PAX", "LINK"},
	"LINKUSDC":      {"USDC", "LINK"},
	"WAVESUSDT":     {"USDT", "WAVES"},
	"WAVESTUSD":     {"TUSD", "WAVES"},
	"WAVESPAX":      {"PAX", "WAVES"},
	"WAVESUSDC":     {"USDC", "WAVES"},
	"BCHABCTUSD":    {"TUSD", "BCHABC"},
	"BCHABCPAX":     {"PAX", "BCHABC"},
	"BCHABCUSDC":    {"USDC", "BCHABC"},
	"BCHSVTUSD":     {"TUSD", "BCHSV"},
	"BCHSVPAX":      {"PAX", "BCHSV"},
	"BCHSVUSDC":     {"USDC", "BCHSV"},
	"LTCTUSD":       {"TUSD", "LTC"},
	"LTCPAX":        {"PAX", "LTC"},
	"LTCUSDC":       {"USDC", "LTC"},
	"TRXPAX":        {"PAX", "TRX"},
	"TRXUSDC":       {"USDC", "TRX"},
	"BTTBTC":        {"BTC", "BTT"},
	"BTTBNB":        {"BNB", "BTT"},
	"BTTUSDT":       {"USDT", "BTT"},
	"BNBUSDS":       {"USDS", "BNB"},
	"BTCUSDS":       {"USDS", "BTC"},
	"USDSUSDT":      {"USDT", "USDS"},
	"USDSPAX":       {"PAX", "USDS"},
	"USDSTUSD":      {"TUSD", "USDS"},
	"USDSUSDC":      {"USDC", "USDS"},
	"BTTPAX":        {"PAX", "BTT"},
	"BTTTUSD":       {"TUSD", "BTT"},
	"BTTUSDC":       {"USDC", "BTT"},
	"ONGBNB":        {"BNB", "ONG"},
	"ONGBTC":        {"BTC", "ONG"},
	"ONGUSDT":       {"USDT", "ONG"},
	"HOTBNB":        {"BNB", "HOT"},
	"HOTUSDT":       {"USDT", "HOT"},
	"ZILUSDT":       {"USDT", "ZIL"},
	"ZRXBNB":        {"BNB", "ZRX"},
	"ZRXUSDT":       {"USDT", "ZRX"},
	"FETBNB":        {"BNB", "FET"},
	"FETBTC":        {"BTC", "FET"},
	"FETUSDT":       {"USDT", "FET"},
	"BATUSDT":       {"USDT", "BAT"},
	"XMRBNB":        {"BNB", "XMR"},
	"XMRUSDT":       {"USDT", "XMR"},
	"ZECBNB":        {"BNB", "ZEC"},
	"ZECUSDT":       {"USDT", "ZEC"},
	"ZECPAX":        {"PAX", "ZEC"},
	"ZECTUSD":       {"TUSD", "ZEC"},
	"ZECUSDC":       {"USDC", "ZEC"},
	"IOSTBNB":       {"BNB", "IOST"},
	"IOSTUSDT":      {"USDT", "IOST"},
	"CELRBNB":       {"BNB", "CELR"},
	"CELRBTC":       {"BTC", "CELR"},
	"CELRUSDT":      {"USDT", "CELR"},
	"ADAPAX":        {"PAX", "ADA"},
	"ADAUSDC":       {"USDC", "ADA"},
	"NEOPAX":        {"PAX", "NEO"},
	"NEOUSDC":       {"USDC", "NEO"},
	"DASHBNB":       {"BNB", "DASH"},
	"DASHUSDT":      {"USDT", "DASH"},
	"NANOUSDT":      {"USDT", "NANO"},
	"OMGBNB":        {"BNB", "OMG"},
	"OMGUSDT":       {"USDT", "OMG"},
	"THETAUSDT":     {"USDT", "THETA"},
	"ENJUSDT":       {"USDT", "ENJ"},
	"MITHUSDT":      {"USDT", "MITH"},
	"MATICBNB":      {"BNB", "MATIC"},
	"MATICBTC":      {"BTC", "MATIC"},
	"MATICUSDT":     {"USDT", "MATIC"},
	"ATOMBNB":       {"BNB", "ATOM"},
	"ATOMBTC":       {"BTC", "ATOM"},
	"ATOMUSDT":      {"USDT", "ATOM"},
	"ATOMUSDC":      {"USDC", "ATOM"},
	"ATOMPAX":       {"PAX", "ATOM"},
	"ATOMTUSD":      {"TUSD", "ATOM"},
	"ETCUSDC":       {"USDC", "ETC"},
	"ETCPAX":        {"PAX", "ETC"},
	"ETCTUSD":       {"TUSD", "ETC"},
	"BATUSDC":       {"USDC", "BAT"},
	"BATPAX":        {"PAX", "BAT"},
	"BATTUSD":       {"TUSD", "BAT"},
	"PHBBNB":        {"BNB", "PHB"},
	"PHBBTC":        {"BTC", "PHB"},
	"PHBUSDC":       {"USDC", "PHB"},
	"PHBTUSD":       {"TUSD", "PHB"},
	"PHBPAX":        {"PAX", "PHB"},
	"TFUELBNB":      {"BNB", "TFUEL"},
	"TFUELBTC":      {"BTC", "TFUEL"},
	"TFUELUSDT":     {"USDT", "TFUEL"},
	"TFUELUSDC":     {"USDC", "TFUEL"},
	"TFUELTUSD":     {"TUSD", "TFUEL"},
	"TFUELPAX":      {"PAX", "TFUEL"},
	"ONEBNB":        {"BNB", "ONE"},
	"ONEBTC":        {"BTC", "ONE"},
	"ONEUSDT":       {"USDT", "ONE"},
	"ONETUSD":       {"TUSD", "ONE"},
	"ONEPAX":        {"PAX", "ONE"},
	"ONEUSDC":       {"USDC", "ONE"},
	"FTMBNB":        {"BNB", "FTM"},
	"FTMBTC":        {"BTC", "FTM"},
	"FTMUSDT":       {"USDT", "FTM"},
	"FTMTUSD":       {"TUSD", "FTM"},
	"FTMPAX":        {"PAX", "FTM"},
	"FTMUSDC":       {"USDC", "FTM"},
	"BTCBBTC":       {"BTC", "BTCB"},
	"BCPTTUSD":      {"TUSD", "BCPT"},
	"BCPTPAX":       {"PAX", "BCPT"},
	"BCPTUSDC":      {"USDC", "BCPT"},
	"ALGOBNB":       {"BNB", "ALGO"},
	"ALGOBTC":       {"BTC", "ALGO"},
	"ALGOUSDT":      {"USDT", "ALGO"},
	"ALGOTUSD":      {"TUSD", "ALGO"},
	"ALGOPAX":       {"PAX", "ALGO"},
	"ALGOUSDC":      {"USDC", "ALGO"},
	"USDSBUSDT":     {"USDT", "USDSB"},
	"USDSBUSDS":     {"USDS", "USDSB"},
	"GTOUSDT":       {"USDT", "GTO"},
	"GTOPAX":        {"PAX", "GTO"},
	"GTOTUSD":       {"TUSD", "GTO"},
	"GTOUSDC":       {"USDC", "GTO"},
	"ERDBNB":        {"BNB", "ERD"},
	"ERDBTC":        {"BTC", "ERD"},
	"ERDUSDT":       {"USDT", "ERD"},
	"ERDPAX":        {"PAX", "ERD"},
	"ERDUSDC":       {"USDC", "ERD"},
	"DOGEBNB":       {"BNB", "DOGE"},
	"DOGEBTC":       {"BTC", "DOGE"},
	"DOGEUSDT":      {"USDT", "DOGE"},
	"DOGEPAX":       {"PAX", "DOGE"},
	"DOGEUSDC":      {"USDC", "DOGE"},
	"DUSKBNB":       {"BNB", "DUSK"},
	"DUSKBTC":       {"BTC", "DUSK"},
	"DUSKUSDT":      {"USDT", "DUSK"},
	"DUSKUSDC":      {"USDC", "DUSK"},
	"DUSKPAX":       {"PAX", "DUSK"},
	"BGBPUSDC":      {"USDC", "BGBP"},
	"ANKRBNB":       {"BNB", "ANKR"},
	"ANKRBTC":       {"BTC", "ANKR"},
	"ANKRUSDT":      {"USDT", "ANKR"},
	"ANKRTUSD":      {"TUSD", "ANKR"},
	"ANKRPAX":       {"PAX", "ANKR"},
	"ANKRUSDC":      {"USDC", "ANKR"},
	"ONTPAX":        {"PAX", "ONT"},
	"ONTUSDC":       {"USDC", "ONT"},
	"WINBNB":        {"BNB", "WIN"},
	"WINBTC":        {"BTC", "WIN"},
	"WINUSDT":       {"USDT", "WIN"},
	"WINUSDC":       {"USDC", "WIN"},
	"COSBNB":        {"BNB", "COS"},
	"COSBTC":        {"BTC", "COS"},
	"COSUSDT":       {"USDT", "COS"},
	"TUSDBTUSD":     {"TUSD", "TUSDB"},
	"NPXSUSDT":      {"USDT", "NPXS"},
	"NPXSUSDC":      {"USDC", "NPXS"},
	"COCOSBNB":      {"BNB", "COCOS"},
	"COCOSBTC":      {"BTC", "COCOS"},
	"COCOSUSDT":     {"USDT", "COCOS"},
	"MTLUSDT":       {"USDT", "MTL"},
	"TOMOBNB":       {"BNB", "TOMO"},
	"TOMOBTC":       {"BTC", "TOMO"},
	"TOMOUSDT":      {"USDT", "TOMO"},
	"TOMOUSDC":      {"USDC", "TOMO"},
	"PERLBNB":       {"BNB", "PERL"},
	"PERLBTC":       {"BTC", "PERL"},
	"PERLUSDC":      {"USDC", "PERL"},
	"PERLUSDT":      {"USDT", "PERL"},
	"DENTUSDT":      {"USDT", "DENT"},
	"MFTUSDT":       {"USDT", "MFT"},
	"KEYUSDT":       {"USDT", "KEY"},
	"STORMUSDT":     {"USDT", "STORM"},
	"DOCKUSDT":      {"USDT", "DOCK"},
	"WANUSDT":       {"USDT", "WAN"},
	"FUNUSDT":       {"USDT", "FUN"},
	"CVCUSDT":       {"USDT", "CVC"},
	"BTTTRX":        {"TRX", "BTT"},
	"WINTRX":        {"TRX", "WIN"},
	"CHZBNB":        {"BNB", "CHZ"},
	"CHZBTC":        {"BTC", "CHZ"},
	"CHZUSDT":       {"USDT", "CHZ"},
	"BANDBNB":       {"BNB", "BAND"},
	"BANDBTC":       {"BTC", "BAND"},
	"BANDUSDT":      {"USDT", "BAND"},
	"BNBBUSD":       {"BUSD", "BNB"},
	"BTCBUSD":       {"BUSD", "BTC"},
	"BUSDUSDT":      {"USDT", "BUSD"},
	"BEAMBNB":       {"BNB", "BEAM"},
	"BEAMBTC":       {"BTC", "BEAM"},
	"BEAMUSDT":      {"USDT", "BEAM"},
	"XTZBNB":        {"BNB", "XTZ"},
	"XTZBTC":        {"BTC", "XTZ"},
	"XTZUSDT":       {"USDT", "XTZ"},
	"RENUSDT":       {"USDT", "REN"},
	"RVNUSDT":       {"USDT", "RVN"},
	"HCUSDT":        {"USDT", "HC"},
	"HBARBNB":       {"BNB", "HBAR"},
	"HBARBTC":       {"BTC", "HBAR"},
	"HBARUSDT":      {"USDT", "HBAR"},
	"NKNBNB":        {"BNB", "NKN"},
	"NKNBTC":        {"BTC", "NKN"},
	"NKNUSDT":       {"USDT", "NKN"},
	"XRPBUSD":       {"BUSD", "XRP"},
	"ETHBUSD":       {"BUSD", "ETH"},
	"BCHABCBUSD":    {"BUSD", "BCHABC"},
	"LTCBUSD":       {"BUSD", "LTC"},
	"LINKBUSD":      {"BUSD", "LINK"},
	"ETCBUSD":       {"BUSD", "ETC"},
	"STXBNB":        {"BNB", "STX"},
	"STXBTC":        {"BTC", "STX"},
	"STXUSDT":       {"USDT", "STX"},
	"KAVABNB":       {"BNB", "KAVA"},
	"KAVABTC":       {"BTC", "KAVA"},
	"KAVAUSDT":      {"USDT", "KAVA"},
	"BUSDNGN":       {"NGN", "BUSD"},
	"BNBNGN":        {"NGN", "BNB"},
	"BTCNGN":        {"NGN", "BTC"},
	"ARPABNB":       {"BNB", "ARPA"},
	"ARPABTC":       {"BTC", "ARPA"},
	"ARPAUSDT":      {"USDT", "ARPA"},
	"TRXBUSD":       {"BUSD", "TRX"},
	"EOSBUSD":       {"BUSD", "EOS"},
	"IOTXUSDT":      {"USDT", "IOTX"},
	"RLCUSDT":       {"USDT", "RLC"},
	"MCOUSDT":       {"USDT", "MCO"},
	"XLMBUSD":       {"BUSD", "XLM"},
	"ADABUSD":       {"BUSD", "ADA"},
	"CTXCBNB":       {"BNB", "CTXC"},
	"CTXCBTC":       {"BTC", "CTXC"},
	"CTXCUSDT":      {"USDT", "CTXC"},
	"BCHBNB":        {"BNB", "BCH"},
	"BCHBTC":        {"BTC", "BCH"},
	"BCHUSDT":       {"USDT", "BCH"},
	"BCHUSDC":       {"USDC", "BCH"},
	"BCHTUSD":       {"TUSD", "BCH"},
	"BCHPAX":        {"PAX", "BCH"},
	"BCHBUSD":       {"BUSD", "BCH"},
	"BTCRUB":        {"RUB", "BTC"},
	"ETHRUB":        {"RUB", "ETH"},
	"XRPRUB":        {"RUB", "XRP"},
	"BNBRUB":        {"RUB", "BNB"},
	"TROYBNB":       {"BNB", "TROY"},
	"TROYBTC":       {"BTC", "TROY"},
	"TROYUSDT":      {"USDT", "TROY"},
	"BUSDRUB":       {"RUB", "BUSD"},
	"QTUMBUSD":      {"BUSD", "QTUM"},
	"VETBUSD":       {"BUSD", "VET"},
	"VITEBNB":       {"BNB", "VITE"},
	"VITEBTC":       {"BTC", "VITE"},
	"VITEUSDT":      {"USDT", "VITE"},
	"FTTBNB":        {"BNB", "FTT"},
	"FTTBTC":        {"BTC", "FTT"},
	"FTTUSDT":       {"USDT", "FTT"},
	"BTCTRY":        {"TRY", "BTC"},
	"BNBTRY":        {"TRY", "BNB"},
	"BUSDTRY":       {"TRY", "BUSD"},
	"ETHTRY":        {"TRY", "ETH"},
	"XRPTRY":        {"TRY", "XRP"},
	"USDTTRY":       {"TRY", "USDT"},
	"USDTRUB":       {"RUB", "USDT"},
	"BTCEUR":        {"EUR", "BTC"},
	"ETHEUR":        {"EUR", "ETH"},
	"BNBEUR":        {"EUR", "BNB"},
	"XRPEUR":        {"EUR", "XRP"},
	"EURBUSD":       {"BUSD", "EUR"},
	"EURUSDT":       {"USDT", "EUR"},
	"OGNBNB":        {"BNB", "OGN"},
	"OGNBTC":        {"BTC", "OGN"},
	"OGNUSDT":       {"USDT", "OGN"},
	"DREPBNB":       {"BNB", "DREP"},
	"DREPBTC":       {"BTC", "DREP"},
	"DREPUSDT":      {"USDT", "DREP"},
	"BULLUSDT":      {"USDT", "BULL"},
	"BULLBUSD":      {"BUSD", "BULL"},
	"BEARUSDT":      {"USDT", "BEAR"},
	"BEARBUSD":      {"BUSD", "BEAR"},
	"ETHBULLUSDT":   {"USDT", "ETHBULL"},
	"ETHBULLBUSD":   {"BUSD", "ETHBULL"},
	"ETHBEARUSDT":   {"USDT", "ETHBEAR"},
	"ETHBEARBUSD":   {"BUSD", "ETHBEAR"},
	"TCTBNB":        {"BNB", "TCT"},
	"TCTBTC":        {"BTC", "TCT"},
	"TCTUSDT":       {"USDT", "TCT"},
	"WRXBNB":        {"BNB", "WRX"},
	"WRXBTC":        {"BTC", "WRX"},
	"WRXUSDT":       {"USDT", "WRX"},
	"ICXBUSD":       {"BUSD", "ICX"},
	"BTSUSDT":       {"USDT", "BTS"},
	"BTSBUSD":       {"BUSD", "BTS"},
	"LSKUSDT":       {"USDT", "LSK"},
	"BNTUSDT":       {"USDT", "BNT"},
	"BNTBUSD":       {"BUSD", "BNT"},
	"LTOBNB":        {"BNB", "LTO"},
	"LTOBTC":        {"BTC", "LTO"},
	"LTOUSDT":       {"USDT", "LTO"},
	"ATOMBUSD":      {"BUSD", "ATOM"},
	"DASHBUSD":      {"BUSD", "DASH"},
	"NEOBUSD":       {"BUSD", "NEO"},
	"WAVESBUSD":     {"BUSD", "WAVES"},
	"XTZBUSD":       {"BUSD", "XTZ"},
	"EOSBULLUSDT":   {"USDT", "EOSBULL"},
	"EOSBULLBUSD":   {"BUSD", "EOSBULL"},
	"EOSBEARUSDT":   {"USDT", "EOSBEAR"},
	"EOSBEARBUSD":   {"BUSD", "EOSBEAR"},
	"XRPBULLUSDT":   {"USDT", "XRPBULL"},
	"XRPBULLBUSD":   {"BUSD", "XRPBULL"},
	"XRPBEARUSDT":   {"USDT", "XRPBEAR"},
	"XRPBEARBUSD":   {"BUSD", "XRPBEAR"},
	"BATBUSD":       {"BUSD", "BAT"},
	"ENJBUSD":       {"BUSD", "ENJ"},
	"NANOBUSD":      {"BUSD", "NANO"},
	"ONTBUSD":       {"BUSD", "ONT"},
	"RVNBUSD":       {"BUSD", "RVN"},
	"STRATBUSD":     {"BUSD", "STRAT"},
	"STRATBNB":      {"BNB", "STRAT"},
	"STRATUSDT":     {"USDT", "STRAT"},
	"AIONBUSD":      {"BUSD", "AION"},
	"AIONUSDT":      {"USDT", "AION"},
	"MBLBNB":        {"BNB", "MBL"},
	"MBLBTC":        {"BTC", "MBL"},
	"MBLUSDT":       {"USDT", "MBL"},
	"COTIBNB":       {"BNB", "COTI"},
	"COTIBTC":       {"BTC", "COTI"},
	"COTIUSDT":      {"USDT", "COTI"},
	"ALGOBUSD":      {"BUSD", "ALGO"},
	"BTTBUSD":       {"BUSD", "BTT"},
	"TOMOBUSD":      {"BUSD", "TOMO"},
	"XMRBUSD":       {"BUSD", "XMR"},
	"ZECBUSD":       {"BUSD", "ZEC"},
	"BNBBULLUSDT":   {"USDT", "BNBBULL"},
	"BNBBULLBUSD":   {"BUSD", "BNBBULL"},
	"BNBBEARUSDT":   {"USDT", "BNBBEAR"},
	"BNBBEARBUSD":   {"BUSD", "BNBBEAR"},
	"STPTBNB":       {"BNB", "STPT"},
	"STPTBTC":       {"BTC", "STPT"},
	"STPTUSDT":      {"USDT", "STPT"},
	"BTCZAR":        {"ZAR", "BTC"},
	"ETHZAR":        {"ZAR", "ETH"},
	"BNBZAR":        {"ZAR", "BNB"},
	"USDTZAR":       {"ZAR", "USDT"},
	"BUSDZAR":       {"ZAR", "BUSD"},
	"BTCBKRW":       {"BKRW", "BTC"},
	"ETHBKRW":       {"BKRW", "ETH"},
	"BNBBKRW":       {"BKRW", "BNB"},
	"WTCUSDT":       {"USDT", "WTC"},
	"DATABUSD":      {"BUSD", "DATA"},
	"DATAUSDT":      {"USDT", "DATA"},
	"XZCUSDT":       {"USDT", "XZC"},
	"SOLBNB":        {"BNB", "SOL"},
	"SOLBTC":        {"BTC", "SOL"},
	"SOLUSDT":       {"USDT", "SOL"},
	"SOLBUSD":       {"BUSD", "SOL"},
	"BTCIDRT":       {"IDRT", "BTC"},
	"BNBIDRT":       {"IDRT", "BNB"},
	"USDTIDRT":      {"IDRT", "USDT"},
	"BUSDIDRT":      {"IDRT", "BUSD"},
	"CTSIBTC":       {"BTC", "CTSI"},
	"CTSIUSDT":      {"USDT", "CTSI"},
	"CTSIBNB":       {"BNB", "CTSI"},
	"CTSIBUSD":      {"BUSD", "CTSI"},
	"HIVEBNB":       {"BNB", "HIVE"},
	"HIVEBTC":       {"BTC", "HIVE"},
	"HIVEUSDT":      {"USDT", "HIVE"},
	"CHRBNB":        {"BNB", "CHR"},
	"CHRBTC":        {"BTC", "CHR"},
	"CHRUSDT":       {"USDT", "CHR"},
	"BTCUPUSDT":     {"USDT", "BTCUP"},
	"BTCDOWNUSDT":   {"USDT", "BTCDOWN"},
	"GXSUSDT":       {"USDT", "GXS"},
	"ARDRUSDT":      {"USDT", "ARDR"},
	"ERDBUSD":       {"BUSD", "ERD"},
	"LENDUSDT":      {"USDT", "LEND"},
	"HBARBUSD":      {"BUSD", "HBAR"},
	"MATICBUSD":     {"BUSD", "MATIC"},
	"WRXBUSD":       {"BUSD", "WRX"},
	"ZILBUSD":       {"BUSD", "ZIL"},
	"MDTBNB":        {"BNB", "MDT"},
	"MDTBTC":        {"BTC", "MDT"},
	"MDTUSDT":       {"USDT", "MDT"},
	"STMXBNB":       {"BNB", "STMX"},
	"STMXBTC":       {"BTC", "STMX"},
	"STMXETH":       {"ETH", "STMX"},
	"STMXUSDT":      {"USDT", "STMX"},
	"KNCBUSD":       {"BUSD", "KNC"},
	"KNCUSDT":       {"USDT", "KNC"},
	"REPBUSD":       {"BUSD", "REP"},
	"REPUSDT":       {"USDT", "REP"},
	"LRCBUSD":       {"BUSD", "LRC"},
	"LRCUSDT":       {"USDT", "LRC"},
	"IQBNB":         {"BNB", "IQ"},
	"IQBUSD":        {"BUSD", "IQ"},
	"PNTBTC":        {"BTC", "PNT"},
	"PNTUSDT":       {"USDT", "PNT"},
	"BTCGBP":        {"GBP", "BTC"},
	"ETHGBP":        {"GBP", "ETH"},
	"XRPGBP":        {"GBP", "XRP"},
	"BNBGBP":        {"GBP", "BNB"},
	"GBPBUSD":       {"BUSD", "GBP"},
	"DGBBNB":        {"BNB", "DGB"},
	"DGBBTC":        {"BTC", "DGB"},
	"DGBBUSD":       {"BUSD", "DGB"},
	"BTCUAH":        {"UAH", "BTC"},
	"USDTUAH":       {"UAH", "USDT"},
	"COMPBTC":       {"BTC", "COMP"},
	"COMPBNB":       {"BNB", "COMP"},
	"COMPBUSD":      {"BUSD", "COMP"},
	"COMPUSDT":      {"USDT", "COMP"},
	"BTCBIDR":       {"BIDR", "BTC"},
	"ETHBIDR":       {"BIDR", "ETH"},
	"BNBBIDR":       {"BIDR", "BNB"},
	"BUSDBIDR":      {"BIDR", "BUSD"},
	"USDTBIDR":      {"BIDR", "USDT"},
	"BKRWUSDT":      {"USDT", "BKRW"},
	"BKRWBUSD":      {"BUSD", "BKRW"},
	"SCUSDT":        {"USDT", "SC"},
	"ZENUSDT":       {"USDT", "ZEN"},
	"SXPBTC":        {"BTC", "SXP"},
	"SXPBNB":        {"BNB", "SXP"},
	"SXPBUSD":       {"BUSD", "SXP"},
	"SNXBTC":        {"BTC", "SNX"},
	"SNXBNB":        {"BNB", "SNX"},
	"SNXBUSD":       {"BUSD", "SNX"},
	"SNXUSDT":       {"USDT", "SNX"},
	"ETHUPUSDT":     {"USDT", "ETHUP"},
	"ETHDOWNUSDT":   {"USDT", "ETHDOWN"},
	"ADAUPUSDT":     {"USDT", "ADAUP"},
	"ADADOWNUSDT":   {"USDT", "ADADOWN"},
	"LINKUPUSDT":    {"USDT", "LINKUP"},
	"LINKDOWNUSDT":  {"USDT", "LINKDOWN"},
	"VTHOBNB":       {"BNB", "VTHO"},
	"VTHOBUSD":      {"BUSD", "VTHO"},
	"VTHOUSDT":      {"USDT", "VTHO"},
	"DCRBUSD":       {"BUSD", "DCR"},
	"DGBUSDT":       {"USDT", "DGB"},
	"GBPUSDT":       {"USDT", "GBP"},
	"STORJBUSD":     {"BUSD", "STORJ"},
	"SXPUSDT":       {"USDT", "SXP"},
	"IRISBNB":       {"BNB", "IRIS"},
	"IRISBTC":       {"BTC", "IRIS"},
	"IRISBUSD":      {"BUSD", "IRIS"},
	"MKRBNB":        {"BNB", "MKR"},
	"MKRBTC":        {"BTC", "MKR"},
	"MKRUSDT":       {"USDT", "MKR"},
	"MKRBUSD":       {"BUSD", "MKR"},
	"DAIBNB":        {"BNB", "DAI"},
	"DAIBTC":        {"BTC", "DAI"},
	"DAIUSDT":       {"USDT", "DAI"},
	"DAIBUSD":       {"BUSD", "DAI"},
	"RUNEBNB":       {"BNB", "RUNE"},
	"RUNEBTC":       {"BTC", "RUNE"},
	"RUNEBUSD":      {"BUSD", "RUNE"},
	"MANABUSD":      {"BUSD", "MANA"},
	"DOGEBUSD":      {"BUSD", "DOGE"},
	"LENDBUSD":      {"BUSD", "LEND"},
	"ZRXBUSD":       {"BUSD", "ZRX"},
	"DCRUSDT":       {"USDT", "DCR"},
	"STORJUSDT":     {"USDT", "STORJ"},
	"XRPBKRW":       {"BKRW", "XRP"},
	"ADABKRW":       {"BKRW", "ADA"},
	"BTCAUD":        {"AUD", "BTC"},
	"ETHAUD":        {"AUD", "ETH"},
	"AUDBUSD":       {"BUSD", "AUD"},
	"FIOBNB":        {"BNB", "FIO"},
	"FIOBTC":        {"BTC", "FIO"},
	"FIOBUSD":       {"BUSD", "FIO"},
	"BNBUPUSDT":     {"USDT", "BNBUP"},
	"BNBDOWNUSDT":   {"USDT", "BNBDOWN"},
	"XTZUPUSDT":     {"USDT", "XTZUP"},
	"XTZDOWNUSDT":   {"USDT", "XTZDOWN"},
	"AVABNB":        {"BNB", "AVA"},
	"AVABTC":        {"BTC", "AVA"},
	"AVABUSD":       {"BUSD", "AVA"},
	"USDTBKRW":      {"BKRW", "USDT"},
	"BUSDBKRW":      {"BKRW", "BUSD"},
	"IOTABUSD":      {"BUSD", "IOTA"},
	"MANAUSDT":      {"USDT", "MANA"},
	"XRPAUD":        {"AUD", "XRP"},
	"BNBAUD":        {"AUD", "BNB"},
	"AUDUSDT":       {"USDT", "AUD"},
	"BALBNB":        {"BNB", "BAL"},
	"BALBTC":        {"BTC", "BAL"},
	"BALBUSD":       {"BUSD", "BAL"},
	"YFIBNB":        {"BNB", "YFI"},
	"YFIBTC":        {"BTC", "YFI"},
	"YFIBUSD":       {"BUSD", "YFI"},
	"YFIUSDT":       {"USDT", "YFI"},
	"BLZBUSD":       {"BUSD", "BLZ"},
	"KMDBUSD":       {"BUSD", "KMD"},
	"BALUSDT":       {"USDT", "BAL"},
	"BLZUSDT":       {"USDT", "BLZ"},
	"IRISUSDT":      {"USDT", "IRIS"},
	"KMDUSDT":       {"USDT", "KMD"},
	"BTCDAI":        {"DAI", "BTC"},
	"ETHDAI":        {"DAI", "ETH"},
	"BNBDAI":        {"DAI", "BNB"},
	"USDTDAI":       {"DAI", "USDT"},
	"BUSDDAI":       {"DAI", "BUSD"},
	"JSTBNB":        {"BNB", "JST"},
	"JSTBTC":        {"BTC", "JST"},
	"JSTBUSD":       {"BUSD", "JST"},
	"JSTUSDT":       {"USDT", "JST"},
	"SRMBNB":        {"BNB", "SRM"},
	"SRMBTC":        {"BTC", "SRM"},
	"SRMBUSD":       {"BUSD", "SRM"},
	"SRMUSDT":       {"USDT", "SRM"},
	"ANTBNB":        {"BNB", "ANT"},
	"ANTBTC":        {"BTC", "ANT"},
	"ANTBUSD":       {"BUSD", "ANT"},
	"ANTUSDT":       {"USDT", "ANT"},
	"CRVBNB":        {"BNB", "CRV"},
	"CRVBTC":        {"BTC", "CRV"},
	"CRVBUSD":       {"BUSD", "CRV"},
	"CRVUSDT":       {"USDT", "CRV"},
	"SANDBNB":       {"BNB", "SAND"},
	"SANDBTC":       {"BTC", "SAND"},
	"SANDUSDT":      {"USDT", "SAND"},
	"SANDBUSD":      {"BUSD", "SAND"},
	"OCEANBNB":      {"BNB", "OCEAN"},
	"OCEANBTC":      {"BTC", "OCEAN"},
	"OCEANBUSD":     {"BUSD", "OCEAN"},
	"OCEANUSDT":     {"USDT", "OCEAN"},
	"NMRBNB":        {"BNB", "NMR"},
	"NMRBTC":        {"BTC", "NMR"},
	"NMRBUSD":       {"BUSD", "NMR"},
	"NMRUSDT":       {"USDT", "NMR"},
	"DOTBNB":        {"BNB", "DOT"},
	"DOTBTC":        {"BTC", "DOT"},
	"DOTBUSD":       {"BUSD", "DOT"},
	"DOTUSDT":       {"USDT", "DOT"},
	"LUNABNB":       {"BNB", "LUNA"},
	"LUNABTC":       {"BTC", "LUNA"},
	"LUNABUSD":      {"BUSD", "LUNA"},
	"LUNAUSDT":      {"USDT", "LUNA"},
	"IDEXBTC":       {"BTC", "IDEX"},
	"IDEXBUSD":      {"BUSD", "IDEX"},
	"RSRBNB":        {"BNB", "RSR"},
	"RSRBTC":        {"BTC", "RSR"},
	"RSRBUSD":       {"BUSD", "RSR"},
	"RSRUSDT":       {"USDT", "RSR"},
	"PAXGBNB":       {"BNB", "PAXG"},
	"PAXGBTC":       {"BTC", "PAXG"},
	"PAXGBUSD":      {"BUSD", "PAXG"},
	"PAXGUSDT":      {"USDT", "PAXG"},
	"WNXMBNB":       {"BNB", "WNXM"},
	"WNXMBTC":       {"BTC", "WNXM"},
	"WNXMBUSD":      {"BUSD", "WNXM"},
	"WNXMUSDT":      {"USDT", "WNXM"},
	"TRBBNB":        {"BNB", "TRB"},
	"TRBBTC":        {"BTC", "TRB"},
	"TRBBUSD":       {"BUSD", "TRB"},
	"TRBUSDT":       {"USDT", "TRB"},
	"ETHNGN":        {"NGN", "ETH"},
	"DOTBIDR":       {"BIDR", "DOT"},
	"LINKAUD":       {"AUD", "LINK"},
	"SXPAUD":        {"AUD", "SXP"},
	"BZRXBNB":       {"BNB", "BZRX"},
	"BZRXBTC":       {"BTC", "BZRX"},
	"BZRXBUSD":      {"BUSD", "BZRX"},
	"BZRXUSDT":      {"USDT", "BZRX"},
	"WBTCBTC":       {"BTC", "WBTC"},
	"WBTCETH":       {"ETH", "WBTC"},
	"SUSHIBNB":      {"BNB", "SUSHI"},
	"SUSHIBTC":      {"BTC", "SUSHI"},
	"SUSHIBUSD":     {"BUSD", "SUSHI"},
	"SUSHIUSDT":     {"USDT", "SUSHI"},
	"YFIIBNB":       {"BNB", "YFII"},
	"YFIIBTC":       {"BTC", "YFII"},
	"YFIIBUSD":      {"BUSD", "YFII"},
	"YFIIUSDT":      {"USDT", "YFII"},
	"KSMBNB":        {"BNB", "KSM"},
	"KSMBTC":        {"BTC", "KSM"},
	"KSMBUSD":       {"BUSD", "KSM"},
	"KSMUSDT":       {"USDT", "KSM"},
	"EGLDBNB":       {"BNB", "EGLD"},
	"EGLDBTC":       {"BTC", "EGLD"},
	"EGLDBUSD":      {"BUSD", "EGLD"},
	"EGLDUSDT":      {"USDT", "EGLD"},
	"DIABNB":        {"BNB", "DIA"},
	"DIABTC":        {"BTC", "DIA"},
	"DIABUSD":       {"BUSD", "DIA"},
	"DIAUSDT":       {"USDT", "DIA"},
	"RUNEUSDT":      {"USDT", "RUNE"},
	"FIOUSDT":       {"USDT", "FIO"},
	"UMABTC":        {"BTC", "UMA"},
	"UMAUSDT":       {"USDT", "UMA"},
	"EOSUPUSDT":     {"USDT", "EOSUP"},
	"EOSDOWNUSDT":   {"USDT", "EOSDOWN"},
	"TRXUPUSDT":     {"USDT", "TRXUP"},
	"TRXDOWNUSDT":   {"USDT", "TRXDOWN"},
	"XRPUPUSDT":     {"USDT", "XRPUP"},
	"XRPDOWNUSDT":   {"USDT", "XRPDOWN"},
	"DOTUPUSDT":     {"USDT", "DOTUP"},
	"DOTDOWNUSDT":   {"USDT", "DOTDOWN"},
	"SRMBIDR":       {"BIDR", "SRM"},
	"ONEBIDR":       {"BIDR", "ONE"},
	"LINKTRY":       {"TRY", "LINK"},
	"USDTNGN":       {"NGN", "USDT"},
	"BELBNB":        {"BNB", "BEL"},
	"BELBTC":        {"BTC", "BEL"},
	"BELBUSD":       {"BUSD", "BEL"},
	"BELUSDT":       {"USDT", "BEL"},
	"WINGBNB":       {"BNB", "WING"},
	"WINGBTC":       {"BTC", "WING"},
	"SWRVBNB":       {"BNB", "SWRV"},
	"SWRVBUSD":      {"BUSD", "SWRV"},
	"WINGBUSD":      {"BUSD", "WING"},
	"WINGUSDT":      {"USDT", "WING"},
	"LTCUPUSDT":     {"USDT", "LTCUP"},
	"LTCDOWNUSDT":   {"USDT", "LTCDOWN"},
	"LENDBKRW":      {"BKRW", "LEND"},
	"SXPEUR":        {"EUR", "SXP"},
	"CREAMBNB":      {"BNB", "CREAM"},
	"CREAMBUSD":     {"BUSD", "CREAM"},
	"UNIBNB":        {"BNB", "UNI"},
	"UNIBTC":        {"BTC", "UNI"},
	"UNIBUSD":       {"BUSD", "UNI"},
	"UNIUSDT":       {"USDT", "UNI"},
	"NBSBTC":        {"BTC", "NBS"},
	"NBSUSDT":       {"USDT", "NBS"},
	"OXTBTC":        {"BTC", "OXT"},
	"OXTUSDT":       {"USDT", "OXT"},
	"SUNBTC":        {"BTC", "SUN"},
	"SUNUSDT":       {"USDT", "SUN"},
	"AVAXBNB":       {"BNB", "AVAX"},
	"AVAXBTC":       {"BTC", "AVAX"},
	"AVAXBUSD":      {"BUSD", "AVAX"},
	"AVAXUSDT":      {"USDT", "AVAX"},
	"HNTBTC":        {"BTC", "HNT"},
	"HNTUSDT":       {"USDT", "HNT"},
	"BAKEBNB":       {"BNB", "BAKE"},
	"BURGERBNB":     {"BNB", "BURGER"},
	"SXPBIDR":       {"BIDR", "SXP"},
	"LINKBKRW":      {"BKRW", "LINK"},
	"FLMBNB":        {"BNB", "FLM"},
	"FLMBTC":        {"BTC", "FLM"},
	"FLMBUSD":       {"BUSD", "FLM"},
	"FLMUSDT":       {"USDT", "FLM"},
	"SCRTBTC":       {"BTC", "SCRT"},
	"SCRTETH":       {"ETH", "SCRT"},
	"CAKEBNB":       {"BNB", "CAKE"},
	"CAKEBUSD":      {"BUSD", "CAKE"},
	"SPARTABNB":     {"BNB", "SPARTA"},
	"UNIUPUSDT":     {"USDT", "UNIUP"},
	"UNIDOWNUSDT":   {"USDT", "UNIDOWN"},
	"ORNBTC":        {"BTC", "ORN"},
	"ORNUSDT":       {"USDT", "ORN"},
	"TRXNGN":        {"NGN", "TRX"},
	"SXPTRY":        {"TRY", "SXP"},
	"UTKBTC":        {"BTC", "UTK"},
	"UTKUSDT":       {"USDT", "UTK"},
	"XVSBNB":        {"BNB", "XVS"},
	"XVSBTC":        {"BTC", "XVS"},
	"XVSBUSD":       {"BUSD", "XVS"},
	"XVSUSDT":       {"USDT", "XVS"},
	"ALPHABNB":      {"BNB", "ALPHA"},
	"ALPHABTC":      {"BTC", "ALPHA"},
	"ALPHABUSD":     {"BUSD", "ALPHA"},
	"ALPHAUSDT":     {"USDT", "ALPHA"},
	"VIDTBTC":       {"BTC", "VIDT"},
	"VIDTBUSD":      {"BUSD", "VIDT"},
	"AAVEBNB":       {"BNB", "AAVE"},
	"BTCBRL":        {"BRL", "BTC"},
	"USDTBRL":       {"BRL", "USDT"},
	"AAVEBTC":       {"BTC", "AAVE"},
	"AAVEETH":       {"ETH", "AAVE"},
	"AAVEBUSD":      {"BUSD", "AAVE"},
	"AAVEUSDT":      {"USDT", "AAVE"},
	"AAVEBKRW":      {"BKRW", "AAVE"},
	"NEARBNB":       {"BNB", "NEAR"},
	"NEARBTC":       {"BTC", "NEAR"},
	"NEARBUSD":      {"BUSD", "NEAR"},
	"NEARUSDT":      {"USDT", "NEAR"},
	"SXPUPUSDT":     {"USDT", "SXPUP"},
	"SXPDOWNUSDT":   {"USDT", "SXPDOWN"},
	"DOTBKRW":       {"BKRW", "DOT"},
	"SXPGBP":        {"GBP", "SXP"},
	"FILBNB":        {"BNB", "FIL"},
	"FILBTC":        {"BTC", "FIL"},
	"FILBUSD":       {"BUSD", "FIL"},
	"FILUSDT":       {"USDT", "FIL"},
	"FILUPUSDT":     {"USDT", "FILUP"},
	"FILDOWNUSDT":   {"USDT", "FILDOWN"},
	"YFIUPUSDT":     {"USDT", "YFIUP"},
	"YFIDOWNUSDT":   {"USDT", "YFIDOWN"},
	"INJBNB":        {"BNB", "INJ"},
	"INJBTC":        {"BTC", "INJ"},
	"INJBUSD":       {"BUSD", "INJ"},
	"INJUSDT":       {"USDT", "INJ"},
	"AERGOBTC":      {"BTC", "AERGO"},
	"AERGOBUSD":     {"BUSD", "AERGO"},
	"LINKEUR":       {"EUR", "LINK"},
	"ONEBUSD":       {"BUSD", "ONE"},
	"EASYETH":       {"ETH", "EASY"},
	"AUDIOBTC":      {"BTC", "AUDIO"},
	"AUDIOBUSD":     {"BUSD", "AUDIO"},
	"AUDIOUSDT":     {"USDT", "AUDIO"},
	"CTKBNB":        {"BNB", "CTK"},
	"CTKBTC":        {"BTC", "CTK"},
	"CTKBUSD":       {"BUSD", "CTK"},
	"CTKUSDT":       {"USDT", "CTK"},
	"BCHUPUSDT":     {"USDT", "BCHUP"},
	"BCHDOWNUSDT":   {"USDT", "BCHDOWN"},
	"BOTBTC":        {"BTC", "BOT"},
	"BOTBUSD":       {"BUSD", "BOT"},
	"ETHBRL":        {"BRL", "ETH"},
	"DOTEUR":        {"EUR", "DOT"},
	"AKROBTC":       {"BTC", "AKRO"},
	"AKROUSDT":      {"USDT", "AKRO"},
	"KP3RBNB":       {"BNB", "KP3R"},
	"KP3RBUSD":      {"BUSD", "KP3R"},
	"AXSBNB":        {"BNB", "AXS"},
	"AXSBTC":        {"BTC", "AXS"},
	"AXSBUSD":       {"BUSD", "AXS"},
	"AXSUSDT":       {"USDT", "AXS"},
	"HARDBNB":       {"BNB", "HARD"},
	"HARDBTC":       {"BTC", "HARD"},
	"HARDBUSD":      {"BUSD", "HARD"},
	"HARDUSDT":      {"USDT", "HARD"},
	"BNBBRL":        {"BRL", "BNB"},
	"LTCEUR":        {"EUR", "LTC"},
	"RENBTCBTC":     {"BTC", "RENBTC"},
	"RENBTCETH":     {"ETH", "RENBTC"},
	"DNTBUSD":       {"BUSD", "DNT"},
	"DNTUSDT":       {"USDT", "DNT"},
	"SLPETH":        {"ETH", "SLP"},
	"ADAEUR":        {"EUR", "ADA"},
	"LTCNGN":        {"NGN", "LTC"},
	"CVPETH":        {"ETH", "CVP"},
	"CVPBUSD":       {"BUSD", "CVP"},
	"STRAXBTC":      {"BTC", "STRAX"},
	"STRAXETH":      {"ETH", "STRAX"},
	"STRAXBUSD":     {"BUSD", "STRAX"},
	"STRAXUSDT":     {"USDT", "STRAX"},
	"FORBTC":        {"BTC", "FOR"},
	"FORBUSD":       {"BUSD", "FOR"},
	"UNFIBNB":       {"BNB", "UNFI"},
	"UNFIBTC":       {"BTC", "UNFI"},
	"UNFIBUSD":      {"BUSD", "UNFI"},
	"UNFIUSDT":      {"USDT", "UNFI"},
	"FRONTETH":      {"ETH", "FRONT"},
	"FRONTBUSD":     {"BUSD", "FRONT"},
	"BCHABUSD":      {"BUSD", "BCHA"},
	"ROSEBTC":       {"BTC", "ROSE"},
	"ROSEBUSD":      {"BUSD", "ROSE"},
	"ROSEUSDT":      {"USDT", "ROSE"},
	"AVAXTRY":       {"TRY", "AVAX"},
	"BUSDBRL":       {"BRL", "BUSD"},
	"AVAUSDT":       {"USDT", "AVA"},
	"SYSBUSD":       {"BUSD", "SYS"},
	"XEMUSDT":       {"USDT", "XEM"},
	"HEGICETH":      {"ETH", "HEGIC"},
	"HEGICBUSD":     {"BUSD", "HEGIC"},
	"AAVEUPUSDT":    {"USDT", "AAVEUP"},
	"AAVEDOWNUSDT":  {"USDT", "AAVEDOWN"},
	"PROMBNB":       {"BNB", "PROM"},
	"PROMBUSD":      {"BUSD", "PROM"},
	"XRPBRL":        {"BRL", "XRP"},
	"XRPNGN":        {"NGN", "XRP"},
	"SKLBTC":        {"BTC", "SKL"},
	"SKLBUSD":       {"BUSD", "SKL"},
	"SKLUSDT":       {"USDT", "SKL"},
	"BCHEUR":        {"EUR", "BCH"},
	"YFIEUR":        {"EUR", "YFI"},
	"ZILBIDR":       {"BIDR", "ZIL"},
	"SUSDBTC":       {"BTC", "SUSD"},
	"SUSDETH":       {"ETH", "SUSD"},
	"SUSDUSDT":      {"USDT", "SUSD"},
	"COVERETH":      {"ETH", "COVER"},
	"COVERBUSD":     {"BUSD", "COVER"},
	"GLMBTC":        {"BTC", "GLM"},
	"GLMETH":        {"ETH", "GLM"},
	"GHSTETH":       {"ETH", "GHST"},
	"GHSTBUSD":      {"BUSD", "GHST"},
	"SUSHIUPUSDT":   {"USDT", "SUSHIUP"},
	"SUSHIDOWNUSDT": {"USDT", "SUSHIDOWN"},
	"XLMUPUSDT":     {"USDT", "XLMUP"},
	"XLMDOWNUSDT":   {"USDT", "XLMDOWN"},
	"LINKBRL":       {"BRL", "LINK"},
	"LINKNGN":       {"NGN", "LINK"},
	"LTCRUB":        {"RUB", "LTC"},
	"TRXTRY":        {"TRY", "TRX"},
	"XLMEUR":        {"EUR", "XLM"},
	"DFETH":         {"ETH", "DF"},
	"DFBUSD":        {"BUSD", "DF"},
	"GRTBTC":        {"BTC", "GRT"},
	"GRTETH":        {"ETH", "GRT"},
	"GRTUSDT":       {"USDT", "GRT"},
	"JUVBTC":        {"BTC", "JUV"},
	"JUVBUSD":       {"BUSD", "JUV"},
	"JUVUSDT":       {"USDT", "JUV"},
	"PSGBTC":        {"BTC", "PSG"},
	"PSGBUSD":       {"BUSD", "PSG"},
	"PSGUSDT":       {"USDT", "PSG"},
	"BUSDBVND":      {"BVND", "BUSD"},
	"USDTBVND":      {"BVND", "USDT"},
	"1INCHBTC":      {"BTC", "1INCH"},
	"1INCHUSDT":     {"USDT", "1INCH"},
	"REEFBTC":       {"BTC", "REEF"},
	"REEFUSDT":      {"USDT", "REEF"},
	"OGBTC":         {"BTC", "OG"},
	"OGUSDT":        {"USDT", "OG"},
	"ATMBTC":        {"BTC", "ATM"},
	"ATMUSDT":       {"USDT", "ATM"},
	"ASRBTC":        {"BTC", "ASR"},
	"ASRUSDT":       {"USDT", "ASR"},
	"CELOBTC":       {"BTC", "CELO"},
	"CELOUSDT":      {"USDT", "CELO"},
	"RIFBTC":        {"BTC", "RIF"},
	"RIFUSDT":       {"USDT", "RIF"},
	"CHZTRY":        {"TRY", "CHZ"},
	"XLMTRY":        {"TRY", "XLM"},
	"LINKGBP":       {"GBP", "LINK"},
	"GRTEUR":        {"EUR", "GRT"},
	"BTCSTBTC":      {"BTC", "BTCST"},
	"BTCSTBUSD":     {"BUSD", "BTCST"},
	"BTCSTUSDT":     {"USDT", "BTCST"},
	"TRUBTC":        {"BTC", "TRU"},
	"TRUBUSD":       {"BUSD", "TRU"},
	"TRUUSDT":       {"USDT", "TRU"},
	"DEXEETH":       {"ETH", "DEXE"},
	"DEXEBUSD":      {"BUSD", "DEXE"},
	"EOSEUR":        {"EUR", "EOS"},
	"LTCBRL":        {"BRL", "LTC"},
	"USDCBUSD":      {"BUSD", "USDC"},
	"TUSDBUSD":      {"BUSD", "TUSD"},
	"PAXBUSD":       {"BUSD", "PAX"},
	"CKBBTC":        {"BTC", "CKB"},
	"CKBBUSD":       {"BUSD", "CKB"},
	"CKBUSDT":       {"USDT", "CKB"},
	"TWTBTC":        {"BTC", "TWT"},
	"TWTBUSD":       {"BUSD", "TWT"},
	"TWTUSDT":       {"USDT", "TWT"},
	"FIROBTC":       {"BTC", "FIRO"},
	"FIROETH":       {"ETH", "FIRO"},
	"FIROUSDT":      {"USDT", "FIRO"},
	"BETHETH":       {"ETH", "BETH"},
	"DOGEEUR":       {"EUR", "DOGE"},
	"DOGETRY":       {"TRY", "DOGE"},
	"DOGEAUD":       {"AUD", "DOGE"},
	"DOGEBRL":       {"BRL", "DOGE"},
	"DOTNGN":        {"NGN", "DOT"},
	"PROSETH":       {"ETH", "PROS"},
	"LITBTC":        {"BTC", "LIT"},
	"LITBUSD":       {"BUSD", "LIT"},
	"LITUSDT":       {"USDT", "LIT"},
	"BTCVAI":        {"VAI", "BTC"},
	"BUSDVAI":       {"VAI", "BUSD"},
	"SFPBTC":        {"BTC", "SFP"},
	"SFPBUSD":       {"BUSD", "SFP"},
	"SFPUSDT":       {"USDT", "SFP"},
	"DOGEGBP":       {"GBP", "DOGE"},
	"DOTTRY":        {"TRY", "DOT"},
	"FXSBTC":        {"BTC", "FXS"},
	"FXSBUSD":       {"BUSD", "FXS"},
	"DODOBTC":       {"BTC", "DODO"},
	"DODOBUSD":      {"BUSD", "DODO"},
	"DODOUSDT":      {"USDT", "DODO"},
	"FRONTBTC":      {"BTC", "FRONT"},
	"EASYBTC":       {"BTC", "EASY"},
	"CAKEBTC":       {"BTC", "CAKE"},
	"CAKEUSDT":      {"USDT", "CAKE"},
	"BAKEBUSD":      {"BUSD", "BAKE"},
	"UFTETH":        {"ETH", "UFT"},
	"UFTBUSD":       {"BUSD", "UFT"},
	"1INCHBUSD":     {"BUSD", "1INCH"},
	"BANDBUSD":      {"BUSD", "BAND"},
	"GRTBUSD":       {"BUSD", "GRT"},
	"IOSTBUSD":      {"BUSD", "IOST"},
	"OMGBUSD":       {"BUSD", "OMG"},
	"REEFBUSD":      {"BUSD", "REEF"},
	"ACMBTC":        {"BTC", "ACM"},
	"ACMBUSD":       {"BUSD", "ACM"},
	"ACMUSDT":       {"USDT", "ACM"},
	"AUCTIONBTC":    {"BTC", "AUCTION"},
	"AUCTIONBUSD":   {"BUSD", "AUCTION"},
	"PHABTC":        {"BTC", "PHA"},
	"PHABUSD":       {"BUSD", "PHA"},
	"DOTGBP":        {"GBP", "DOT"},
	"ADATRY":        {"TRY", "ADA"},
	"ADABRL":        {"BRL", "ADA"},
	"ADAGBP":        {"GBP", "ADA"},
	"TVKBTC":        {"BTC", "TVK"},
	"TVKBUSD":       {"BUSD", "TVK"},
	"BADGERBTC":     {"BTC", "BADGER"},
	"BADGERBUSD":    {"BUSD", "BADGER"},
	"BADGERUSDT":    {"USDT", "BADGER"},
	"FISBTC":        {"BTC", "FIS"},
	"FISBUSD":       {"BUSD", "FIS"},
	"FISUSDT":       {"USDT", "FIS"},
	"DOTBRL":        {"BRL", "DOT"},
	"ADAAUD":        {"AUD", "ADA"},
	"HOTTRY":        {"TRY", "HOT"},
	"EGLDEUR":       {"EUR", "EGLD"},
	"OMBTC":         {"BTC", "OM"},
	"OMBUSD":        {"BUSD", "OM"},
	"OMUSDT":        {"USDT", "OM"},
	"PONDBTC":       {"BTC", "POND"},
	"PONDBUSD":      {"BUSD", "POND"},
	"PONDUSDT":      {"USDT", "POND"},
	"DEGOBTC":       {"BTC", "DEGO"},
	"DEGOBUSD":      {"BUSD", "DEGO"},
	"DEGOUSDT":      {"USDT", "DEGO"},
	"AVAXEUR":       {"EUR", "AVAX"},
	"BTTTRY":        {"TRY", "BTT"},
	"CHZBRL":        {"BRL", "CHZ"},
	"UNIEUR":        {"EUR", "UNI"},
	"ALICEBTC":      {"BTC", "ALICE"},
	"ALICEBUSD":     {"BUSD", "ALICE"},
	"ALICEUSDT":     {"USDT", "ALICE"},
	"CHZBUSD":       {"BUSD", "CHZ"},
	"CHZEUR":        {"EUR", "CHZ"},
	"CHZGBP":        {"GBP", "CHZ"},
	"BIFIBNB":       {"BNB", "BIFI"},
	"BIFIBUSD":      {"BUSD", "BIFI"},
	"LINABTC":       {"BTC", "LINA"},
	"LINABUSD":      {"BUSD", "LINA"},
	"LINAUSDT":      {"USDT", "LINA"},
	"ADARUB":        {"RUB", "ADA"},
	"ENJBRL":        {"BRL", "ENJ"},
	"ENJEUR":        {"EUR", "ENJ"},
	"MATICEUR":      {"EUR", "MATIC"},
	"NEOTRY":        {"TRY", "NEO"},
	"PERPBTC":       {"BTC", "PERP"},
	"PERPBUSD":      {"BUSD", "PERP"},
	"PERPUSDT":      {"USDT", "PERP"},
	"RAMPBTC":       {"BTC", "RAMP"},
	"RAMPBUSD":      {"BUSD", "RAMP"},
	"RAMPUSDT":      {"USDT", "RAMP"},
	"SUPERBTC":      {"BTC", "SUPER"},
	"SUPERBUSD":     {"BUSD", "SUPER"},
	"SUPERUSDT":     {"USDT", "SUPER"},
	"CFXBTC":        {"BTC", "CFX"},
	"CFXBUSD":       {"BUSD", "CFX"},
	"CFXUSDT":       {"USDT", "CFX"},
	"ENJGBP":        {"GBP", "ENJ"},
	"EOSTRY":        {"TRY", "EOS"},
	"LTCGBP":        {"GBP", "LTC"},
	"LUNAEUR":       {"EUR", "LUNA"},
	"RVNTRY":        {"TRY", "RVN"},
	"THETAEUR":      {"EUR", "THETA"},
	"XVGBUSD":       {"BUSD", "XVG"},
	"EPSBTC":        {"BTC", "EPS"},
	"EPSBUSD":       {"BUSD", "EPS"},
	"EPSUSDT":       {"USDT", "EPS"},
	"AUTOBTC":       {"BTC", "AUTO"},
	"AUTOBUSD":      {"BUSD", "AUTO"},
	"AUTOUSDT":      {"USDT", "AUTO"},
	"TKOBTC":        {"BTC", "TKO"},
	"TKOBIDR":       {"BIDR", "TKO"},
	"TKOBUSD":       {"BUSD", "TKO"},
	"TKOUSDT":       {"USDT", "TKO"},
	"PUNDIXETH":     {"ETH", "PUNDIX"},
	"PUNDIXUSDT":    {"USDT", "PUNDIX"},
	"BTTBRL":        {"BRL", "BTT"},
	"BTTEUR":        {"EUR", "BTT"},
	"HOTEUR":        {"EUR", "HOT"},
	"WINEUR":        {"EUR", "WIN"},
	"TLMBTC":        {"BTC", "TLM"},
	"TLMBUSD":       {"BUSD", "TLM"},
	"TLMUSDT":       {"USDT", "TLM"},
	"1INCHUPUSDT":   {"USDT", "1INCHUP"},
	"1INCHDOWNUSDT": {"USDT", "1INCHDOWN"},
	"BTGBUSD":       {"BUSD", "BTG"},
	"BTGUSDT":       {"USDT", "BTG"},
	"HOTBUSD":       {"BUSD", "HOT"},
	"BNBUAH":        {"UAH", "BNB"},
	"ONTTRY":        {"TRY", "ONT"},
	"VETEUR":        {"EUR", "VET"},
	"VETGBP":        {"GBP", "VET"},
	"WINBRL":        {"BRL", "WIN"},
	"MIRBTC":        {"BTC", "MIR"},
	"MIRBUSD":       {"BUSD", "MIR"},
	"MIRUSDT":       {"USDT", "MIR"},
	"BARBTC":        {"BTC", "BAR"},
	"BARBUSD":       {"BUSD", "BAR"},
	"BARUSDT":       {"USDT", "BAR"},
	"FORTHBTC":      {"BTC", "FORTH"},
	"FORTHBUSD":     {"BUSD", "FORTH"},
	"FORTHUSDT":     {"USDT", "FORTH"},
	"CAKEGBP":       {"GBP", "CAKE"},
	"DOGERUB":       {"RUB", "DOGE"},
	"HOTBRL":        {"BRL", "HOT"},
	"WRXEUR":        {"EUR", "WRX"},
	"EZBTC":         {"BTC", "EZ"},
	"EZETH":         {"ETH", "EZ"},
	"BAKEUSDT":      {"USDT", "BAKE"},
	"BURGERBUSD":    {"BUSD", "BURGER"},
	"BURGERUSDT":    {"USDT", "BURGER"},
	"SLPBUSD":       {"BUSD", "SLP"},
	"SLPUSDT":       {"USDT", "SLP"},
	"TRXAUD":        {"AUD", "TRX"},
	"TRXEUR":        {"EUR", "TRX"},
	"VETTRY":        {"TRY", "VET"},
}

func SplitAssetQuote(symbol string) (string, string) {
	data := symbolAssetQuoteMap[symbol]
	return data.Asset, data.Quote
}
